Package org.pgpainless.encryption_signing

# Class BcHashContextSigner

java.lang.Object
org.pgpainless.encryption_signing.BcHashContextSigner

public class BcHashContextSigner extends Object

## Constructor Summary

Constructors
Constructor
Description
`BcHashContextSigner()`

## Method Summary

Modifier and Type
Method
Description
`static org.bouncycastle.openpgp.PGPSignature`
`signHashContext(MessageDigest hashContext, SignatureType signatureType, org.bouncycastle.openpgp.PGPSecretKeyRing secretKeys, SecretKeyRingProtector protector)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BcHashContextSigner

public BcHashContextSigner()

## Method Details

### signHashContext

public static org.bouncycastle.openpgp.PGPSignature signHashContext(@Nonnull MessageDigest hashContext, @Nonnull SignatureType signatureType, @Nonnull org.bouncycastle.openpgp.PGPSecretKeyRing secretKeys, @Nonnull SecretKeyRingProtector protector) throws org.bouncycastle.openpgp.PGPException

Throws:
  `org.bouncycastle.openpgp.PGPException`